---
title: "Malware Masquerade"
date: 2023-05-08T13:57:22-04:00
draft: false
weight: 4
pre: "<i class='fas fa-mask'></i> "
tags: ["usage"]
---

## Description
**Masquerade** - to assume the appearance of something one is not
[[1](https://www.merriam-webster.com/dictionary/masquerade)]

A common way of detecting and identifying an executable as malware is to write
a detection rule (such as for a tool like YARA) that checks for the existence
of strings or unique byte sequences within a file. The Malware Masquerade
feature allows users to specify strings or arbitrary data (bytes) that will be
injected into the Agent binaries. This enables Infection Monkey Agents to
masquerade as specific types of malware. This is particularly useful for anyone
who writes their own detection rules and needs a way to test them, or anyone
looking to improve the fidelity of malware simulations.

## Using Malware Masquerade

![Malware Masquerade Configuration](/images/island/configuration_page/malware_masquerade_configuration.png "Malware masquerade configuration")

### Configuring Strings

The UI allows you to specify any number of strings to include within the Linux
or Windows Agent binaries. It's as simple as adding these strings to either
list in the "Masquerade" tab of the "Configuration" screen and clicking
"Submit". You can verify the success of this operation by downloading the
binary and using the Linux `strings` command.
[[2](https://linux.die.net/man/1/strings)]


```bash
curl https://<SERVER_IP>:5000/api/agent-binaries/linux -k -o monkey-linux-64 && strings monkey-linux-64 | grep <MY_STRING>
```
