from typing import List

from monkeytypes import InfectionMonkeyBaseModel, NetworkPort
from pydantic import Field


class Log4ShellOptions(InfectionMonkeyBaseModel):
    target_ports: List[NetworkPort] = Field(
        default=[8000, 8080, 8983, 9600],
        title="Target Ports",
        description="A list of HTTP ports that the Log4Shell exploiter will try to exploit.",
    )
    try_all_discovered_http_ports: bool = Field(
        default=False,
        title="Try All Discovered HTTP Ports",
        description=(
            "Attempt to exploit Log4Shell on all HTTP ports discovered from network scanning."
        ),
    )
    exploit_download_timeout: float = Field(
        gt=0.0,
        default=5.0,
        title="Exploit Download Timeout",
        description="The maximum time (in seconds) to wait for the victim to download the exploit.",
    )
    agent_binary_download_timeout: float = Field(
        gt=0.0,
        default=15.0,
        title="Agent Binary Download Timeout",
        description=(
            "The maximum time (in seconds) to wait for a successfully exploited server to download "
            "the agent binary."
        ),
    )
