from typing import List

from monkeytypes import InfectionMonkeyBaseModel, NetworkPort
from pydantic import Field


class MSSQLOptions(InfectionMonkeyBaseModel):
    target_ports: List[NetworkPort] = Field(
        default=[1433],
        title="Target Ports",
        description="A list of TCP ports that the MSSQL exploiter will try to exploit.",
    )
    try_discovered_mssql_ports: bool = Field(
        default=False,
        title="Try Discovered MSSQL Ports",
        description="Attempt to exploit MSSQL on ports discovered from network scanning"
        " used by an MSSQL service.",
    )
    try_unknown_service_ports: bool = Field(
        default=False,
        title="Try Unknown Service Ports",
        description="Attempt the exploiter on all discovered, open TCP ports where"
        " the listening service cannot be positively identified.",
    )
    server_timeout: float = Field(
        gt=0.0,
        default=15.0,
        title="MSSQL Server Timeout",
        description="The maximum time (in seconds) to wait for response from the MSSQL server.",
    )
    agent_binary_download_timeout: float = Field(
        gt=0.0,
        default=60.0,
        title="Agent Binary Download Timeout",
        description="The maximum time (in seconds) to wait for a successfully exploited"
        " MSSQL server to download the agent binary.",
    )
