from pathlib import PurePath
from typing import Any, Callable

from agentpluginapi import TargetHost
from plugintoolbox import IRemoteAccessClientFactory

from .smb_client import SMBClient
from .smb_options import SMBOptions
from .smb_remote_access_client import SMBRemoteAccessClient


class SMBRemoteAccessClientFactory(IRemoteAccessClientFactory):
    def __init__(
        self,
        host: TargetHost,
        options: SMBOptions,
        command_builder: Callable[[PurePath], str],
    ):
        self._host = host
        self._options = options
        self._command_builder = command_builder

    def create(self, **kwargs: Any) -> SMBRemoteAccessClient:
        return SMBRemoteAccessClient(self._host, self._options, self._command_builder, SMBClient())
