from pathlib import PurePosixPath

from agentpluginapi import DropperExecutionMode, ILinuxAgentCommandBuilder, LinuxRunOptions


def build_ssh_command(
    remote_agent_binary_destination_path: PurePosixPath,
    agent_command_builder: ILinuxAgentCommandBuilder,
) -> str:
    run_options = LinuxRunOptions(
        agent_destination_path=remote_agent_binary_destination_path,
        dropper_execution_mode=DropperExecutionMode.NONE,
    )

    agent_command_builder.build_run_command(run_options)
    return f"{agent_command_builder.get_command()} > /dev/null 2>&1 &"
